Package Details: sink 0.3.0-1

Git Clone URL: https://aur.archlinux.org/sink.git (read-only)
Package Base: sink
Description: An offline-caching, synchronization and indexing system for PIM data
Upstream URL: https://community.kde.org/KDE_PIM
Licenses: LGPL
Submitter: arojas
Maintainer: arojas
Last Packager: arojas
Votes: 5
Popularity: 0.257678
First Submitted: 2017-03-03 16:09
Last Updated: 2017-07-04 21:31

Latest Comments

naraesk commented on 2017-07-10 12:10

CMake Error at examples/imapresource/CMakeLists.txt:7 (find_package):
Could not find a configuration file for package "KIMAP2" that is compatible
with requested version "0.2".

The following configuration files were considered but not accepted:

/usr/lib64/cmake/KIMAP2/KIMAP2Config.cmake, version: 0.1.1
/usr/lib/cmake/KIMAP2/KIMAP2Config.cmake, version: 0.1.1
/lib64/cmake/KIMAP2/KIMAP2Config.cmake, version: 0.1.1
/lib/cmake/KIMAP2/KIMAP2Config.cmake, version: 0.1.1

however, kimap2 is installed.

mbohlender commented on 2017-07-04 21:27

sink still requires flatbuffers:

-- The following OPTIONAL packages have been found:

* PkgConfig
* Libgit2 (required version >= 0.20.0)
* Qt5Test
* Qt5Concurrent

-- The following REQUIRED packages have been found:

* ECM (required version >= 1.0.0)
* Qt5Core
* Qt5Network
* Qt5Gui
* Qt5
* KF5Contacts
* KAsync
* LMDB
* KIMAP2 (required version >= 0.2)
* CURL (required version >= 7.20.0)
* KPimKDAV2
* KF5Mime
* KF5
* Readline

-- The following REQUIRED packages have not been found:

* FlatBuffers

nicolafel commented on 2017-03-29 16:43

@arojas Yup. Had Anaconda in my path taking over towards qt 5.6.something. Thanks for the pointer and for maintaining!

arojas commented on 2017-03-29 11:03

@nicolafel looks like you're using an unofficial or outdated Qt version

nicolafel commented on 2017-03-29 11:00

Hi there! When building I get the following error:

[ 28%] Linking CXX executable sink_synchronizer
/usr/lib/libKF5Contacts.so.5: undefined reference to `QIODevice::isTransactionStarted() const@Qt_5'
/usr/lib/libKF5Mime.so.5: undefined reference to `qt_version_tag@Qt_5.8'
/usr/lib/libKF5ConfigCore.so.5: undefined reference to `QDateTime::QDateTime(QDateTime&&)@Qt_5'
/usr/lib/libKF5CoreAddons.so.5: undefined reference to `QtPrivate::QStringList_join(QStringList const&, QLatin1String)@Qt_5'
/usr/lib/libKF5CoreAddons.so.5: undefined reference to `QJsonValue::toString() const@Qt_5'
/usr/lib/libKF5Codecs.so.5: undefined reference to `QString::resize(int, QChar)@Qt_5'
collect2: error: ld returned 1 exit status
make[2]: *** [synchronizer/CMakeFiles/sink_synchronizer.dir/build.make:125: synchronizer/sink_synchronizer] Error 1
make[1]: *** [CMakeFiles/Makefile2:990: synchronizer/CMakeFiles/sink_synchronizer.dir/all] Error 2
make: *** [Makefile:139: all] Error 2
==> ERROR: A failure occurred in build().
Aborting...

Am I the only one? Is something wrong upstream?